#include "localeutils.t"
#include <iostream>
using namespace std;

int main()
{
  locale::global(locale("de_DE"));          // deDE global setzen
  string text("Quer ber den groen Sylter Deich");
  string suchstring("ber");
  auto pos = findeSuchstringIgnoreCase(text, suchstring);
  if (pos != string::npos) {
    cout << suchstring << " ist ab Position " << pos << " in " << text
         << " enthalten (Gro-/Kleinschreibung ignoriert).\n";
  }
  else {
    cout << suchstring << " ist nicht in " << text << " enthalten.\n";
  }
}
