#include "../../k6/abstrakt/Quadrat.h"
#include <algorithm>
#include <functional>
#include <vector>

int main()
{
  Quadrat q(Ort(100, 20), 50);
  Rechteck r(Ort(30, 40), 20, 20);
  std::vector<GraphObj*> objekte = {&q, &r};
  // alle Objekte zeichnen (polymorph)
  std::for_each(objekte.begin(), objekte.end(), 
                std::mem_fn(&GraphObj::zeichnen));
  // oder mit function:
  std::function<void(const GraphObj*)> f = &GraphObj::zeichnen;
  std::for_each(objekte.begin(), objekte.end(), f);
}

