#include <iostream>
#include <iterator>
#include <vector>
using namespace std;

int main()
{
  vector<int> v{0, 1, 2, 3, 4, 5, 6, 7, 8, 9};
  cout << "reverse_iterator:\n";
  auto revIter = v.rbegin();
  // Alternativen:
  // reverse_iterator<vector<int>::iterator> revIter(v.rbegin());
  // vector<int>::reverse_iterator revIter(v.rbegin());
  // Zahlen verdoppelt in umgekehrter Folge ausgeben
  while (revIter != v.rend()) {
    *revIter *= 2;                           // Wert über den Iterator ändern
    cout << *revIter++ << ' ';
  }
  cout << '\n';
  // Falls Werte nicht geändert werden sollen, kann der von der Klasse vector (und
  // anderen) bereitgestellte Typ const_reverse_iterator verwendet werden. 
  cout << "const_reverse_iterator:\n";
  auto constRevIter = v.crbegin();        // = vector<int>::const_reverse_iterator
  while (constRevIter != v.crend()) {
    cout << *constRevIter++ << ' ';
  }
  cout << '\n';
}

