#include <Ort.h>                            // in cppbuch/include

int main()
{
  Ort einOrt(100, 200);
  int (Ort::*fp)() const {&Ort::getX};      // Zeiger auf Ort::getX() richten
  std::cout << (einOrt.*fp)() << '\n';      // dasselbe wie einOrt.getX()
  fp = &Ort::getY;                          // Funktionszeiger umschalten
  std::cout << (einOrt.*fp)() << '\n';      // jetzt dasselbe wie einOrt.getY()
  Ort* derZeiger = new Ort(300, 400);
  std::cout << (derZeiger->*fp)() << '\n';  // dasselbe wie derZeiger->getY()
  void (Ort::*fpAendern)(int, int){&Ort::aendern};
  (derZeiger->*fpAendern)(500, 600);        // d.h. derZeiger->aendern(500, 600)
  anzeigen(*derZeiger);                     // geänderter Ort
  delete derZeiger;
}

