#ifndef STRECKE_H
#define STRECKE_H
#include "GraphObj.h"

class Strecke : public GraphObj {           // erben von GraphObj
public:
  Strecke(Ort ort1, Ort ort2)               // Initialisierung mit Initialisierungsliste:
      : GraphObj{ort1},             // Initialisierung des Subobjekts, siehe Abschnitt 6.1
        endpunkt{ort2}                      // Initialisierung des Attributs
  { }                                       // leerer Code-Block

  auto laenge() const
  { 
    return entfernung(bezugspunkt(), endpunkt); 
  }
private:
  Ort endpunkt;                             // zusätzlich: 2. Punkt der Strecke
                               // (der erste ist GraphObj::Referenzkoordinaten)
};
#endif

