#include <fstream>
#include <iostream>
#include <string>
using namespace std;

int main()
{
  string dateiname {"unbekannt"};
  cout << "Dateiname? ";
  getline(cin, dateiname);
  // Datei schreiben
  ofstream datei(dateiname);            // Objekt für Ausgabestrom
  if (!datei.good()) {                  // Fehlerabfrage
    cerr << dateiname << " kann nicht beschrieben werden! Programmabbruch!\n";
    return 1;
  }
  else {
    datei << "geschriebener Text.\nZweite Zeile!\n";
    datei.close();          // Schließen der Datei, damit sie gelesen werden kann
  }
  // Lesen derselben Datei und Anzeige der Zeilen
  ifstream quelle(dateiname);          // Objekt für Eingabestrom
  cout << "Der Inhalt von " << dateiname << " ist:\n";
  while (quelle.good()) {
    string zeile;
    getline(quelle, zeile);          // Zeile lesen
    cout << zeile << '\n';
  }
}          // Datei wird am Programmende automatisch geschlossen.
