#ifndef PERSON_H
#define PERSON_H
#include <iostream>
#include <set>
#include <string>

class Person {
public:
  Person(const std::string& name_) 
  : name(name_)
  {}

  const std::string& getName() const
  { 
    return name; 
  }

  void lerntkennen(Person& p)
  {
    bool nichtvorhanden = bekannte.insert(&p).second;
    if (nichtvorhanden) {          // falls unbekannt, auch bei p eintragen
      p.lerntkennen(*this);
    }
  }

  void bekannteZeigen() const
  {
    std::cout << "Die Bekannten von " << getName() << " sind:\n";
    for (auto bekannt : bekannte) {
      std::cout << bekannt->getName() << '\n';
    }
  }

private:
  std::string name;
  std::set<Person*> bekannte;
};
#endif

