#include <algorithm>
#include <showContainer.h>
#include <string>
#include <vector>
using namespace std;

int main()
{
  vector<string> staedte{"Bremen", "Paris", "Mailand", "Hamburg"};
  ranges::sort(staedte);                     // Wichtige Vorbedingung!
  showContainer(staedte);
  string stadt("");
  cout << "Welche Stadt eintragen/suchen? ";
  cin >> stadt;
  if (ranges::binary_search(staedte, stadt)) {
    cout << stadt << " existiert.\n";
  }
  else {
    cout << stadt << " existiert noch nicht.\n";
  }
   cout << stadt << " wird eingefügt:\n";
  auto i = ranges::lower_bound(staedte, stadt);  // an der richtigen Stelle einfügen
  staedte.insert(i, stadt);
  showContainer(staedte);
  auto r = ranges::equal_range(staedte, stadt);  // Bereich gleicher Werte
  // Die zwei Iteratoren des Bereichs r begrenzen den Bereich, in dem stadt vorkommt.
  auto n = distance(r.begin(), r.end());
  cout << stadt << " ist " << n << " mal im Vector enthalten\n";
}

