#include <iterator>
#include <numeric>
#include <showContainer.h>
#include <vector>
using namespace std;

int main()
{  
  vector<int> v {1, 2, 3, 4, 5, 6};
  vector<int> ergebnisfolge(v.size());
  partial_sum(v.begin(), v.end(), ergebnisfolge.begin());
  cout << "Partialsumme            = ";
  showContainer(ergebnisfolge);
  cout << "Ergebnisfolge inclusive = ";
  inclusive_scan(v.begin(), v.end(), ergebnisfolge.begin());
  showContainer(ergebnisfolge);
  cout << "Ergebnisfolge exclusive = ";
  exclusive_scan(v.begin(), v.end(), ergebnisfolge.begin(), 0); 
  showContainer(ergebnisfolge);
  cout << "Produktfolge inclusive  = ";
  inclusive_scan(v.begin(), v.end(), ergebnisfolge.begin(), multiplies<>{});
  showContainer(ergebnisfolge);
  cout << "Produktfolge exclusive  = ";
  exclusive_scan(v.begin(), v.end(), ergebnisfolge.begin(), 1, multiplies<>{}); 
  showContainer(ergebnisfolge);
}
