#include <algorithm>
#include <iterator>
#include <list>
#include <showContainer.h>
#include <vector>
using namespace std;

int main()
{
  list<int> dieListe{1, 2, 3, 4, 5};
  cout << "dieListe.size() = " << dieListe.size() << '\n';
  showContainer(dieListe);

  front_insert_iterator<list<int>> frontInsertIterator(dieListe);

  // Einfügen mit den Operationen *, ++, =
  int i = 1;
  while (i < 5) {
    *frontInsertIterator++ = i++;          // 4 Zahlen vorne einfügen
  }
  cout << "dieListe.size() = " << dieListe.size() << '\n';
  showContainer(dieListe);
  // Beispiel mit copy:
  vector<int> v{7, 8, 9, 10};
  copy(v.begin(), v.end(), front_inserter(dieListe));
  showContainer(dieListe);
}
