#include "Person.h"

int main()
{
  Person person("Lena");                    // Stack-Objekt
  std::cout << "Name : " << person.getName() << '\n';
  Person* ptr1{new Person("Jens")};         // Heap-Objekt
  std::cout << "Name : " << ptr1->getName() << '\n';
  delete ptr1;                              // Löschen des Heap-Objekts

  constexpr int anz{2};
  Person* arr{new Person[anz]};             // dynamisches C-Array anlegen
  for (int i = 0; i < anz; ++i) {
    std::cout << i << ": " << arr[i].getName() << '\n';
  }
  delete[] arr;                             // dynamisches C-Array löschen
}                                           // Destruktor-Aufruf des Stack-Objekts
