#include <cmath>                            // cos(), sin()
#include <iostream>
#include <numbers>                          //   pi
using namespace std;

int main()
{
  cout << "Grad      sin(x)      cos(x)\n";
  cout.setf(ios::showpoint | ios::fixed, ios::floatfield);
  cout.precision(6);
  for (int grad = 0; grad <= 90; grad += 10) {
    const double rad = grad / 180.0 * numbers::pi;  // Grad in Bogenmaß umwandeln
    cout.width(4);
    cout << grad;
    cout.width(12);
    cout << sin(rad);
    cout.width(12);
    cout << cos(rad) << '\n';
  }
}

